Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::GlSphere Class Reference
GlEntities

`#include <GlSphere.h>`

Inheritance diagram for tlp::GlSphere:
[legend]
Collaboration diagram for tlp::GlSphere:
[legend]

List of all members.

## Public Member Functions

- GlSphere ()
- GlSphere (const Coord &position, float radius, const Color &color=Color(0, 0, 0, 255), float rotX=0, float rotY=0, float rotZ=0)
- GlSphere (const Coord &position, float radius, const std::string &textureFile, int alpha=255, float rotX=0, float rotY=0, float rotZ=0)
- virtual void draw (float lod, Camera *camera)
- virtual void translate (const Coord &mouvement)
- const Coord & getPosition () const
- void setPosition (const Coord &pos)
- virtual void setTexture (const std::string &texture)
- const Color & getColor () const
- void setColor (const Color &newColor)
- virtual void getXML (xmlNodePtr rootNode)
- virtual void setWithXML (xmlNodePtr rootNode)

## Detailed Description

Class to create a sphere with GlEntity system

## Constructor & Destructor Documentation

tlp::GlSphere::GlSphere | ( |  | ) | `[inline]`

tlp::GlSphere::GlSphere | ( | const Coord & | position,
|  | float | radius,
|  | const Color & | color = `Color(0, 0, 0, 255)`,
|  | float | rotX = `0`,
|  | float | rotY = `0`,
|  | float | rotZ = `0`
| ) |  |

Create a sphere with a position, a radius a fill color and multiple rotation (if you want)

tlp::GlSphere::GlSphere | ( | const Coord & | position,
|  | float | radius,
|  | const std::string & | textureFile,
|  | int | alpha = `255`,
|  | float | rotX = `0`,
|  | float | rotY = `0`,
|  | float | rotZ = `0`
| ) |  |

Create a sphere with a position, a radius, a texture, an alphe and multiple rotation (if you want)

## Member Function Documentation

virtual void tlp::GlSphere::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw the sphere

Implements tlp::GlSimpleEntity.

const Color& tlp::GlSphere::getColor | ( |  | ) | const`[inline]`

Get the color

const Coord& tlp::GlSphere::getPosition | ( |  | ) | const`[inline]`

Get absolute position

virtual void tlp::GlSphere::getXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to export data in XML

Implements tlp::GlSimpleEntity.

void tlp::GlSphere::setColor | ( | const Color & | newColor | ) | `[inline]`

Set the color

void tlp::GlSphere::setPosition | ( | const Coord & | pos | ) | `[inline]`

Set absolute position

virtual void tlp::GlSphere::setTexture | ( | const std::string & | texture | ) | `[inline, virtual]`

Set the texture name

virtual void tlp::GlSphere::setWithXML | ( | xmlNodePtr | rootNode | ) | `[virtual]`

Function to set data with XML

Implements tlp::GlSimpleEntity.

virtual void tlp::GlSphere::translate | ( | const Coord & | mouvement | ) | `[virtual]`

Translate entity

Reimplemented from tlp::GlSimpleEntity.

Tulip Software by LaBRI Visualization Team 2001 - 2012